For the complete documentation index, see llms.txt. This page is also available as Markdown.

RequestVirtualCard

The "RequestVirtualCard" endpoint allows customers to request a virtual card by providing the cardholder's personal details, contact information, and account information.

POST /api/Card/v{{version}}/Providus/RequestVirtualCard

To request a virtual card, provide the cardholder's name and personal details (title, firstName, lastName, middleNameInitials, dob, address fields), contact details (phoneNumber, email), identifiers (customerId, accountNumber), and the cardProfile and nameOnCard to use for the card.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Body

Name
Data Type
Required/Optional
Description

title

string

The cardholder's title.

firstName

string

The cardholder's first name.

lastName

string

The cardholder's last name.

middleNameInitials

string

The cardholder's middle name initials.

dob

string

The cardholder's date of birth.

address1

string

The cardholder's primary address.

address2

string

The cardholder's secondary address.

city

string

The cardholder's city.

countryCode

string

The cardholder's country code.

customerId

string

The ID of the customer requesting the card.

phoneNumber

string

The cardholder's phone number.

accountNumber

string

The account number the card is tied to.

email

string

The cardholder's email address.

cardProfile

string

The card profile to use for the request.

nameOnCard

string

The name to be printed on the card.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
Response: 200

Last updated